Skip to main content
GET
https://ageneral.ai
/
v1
/
chat
/
sessions
List chat sessions
curl --request GET \
  --url https://ageneral.ai/v1/chat/sessions \
  --header 'Ageneral-Project-Id: <ageneral-project-id>' \
  --header 'Authorization: Bearer <token>'
{
  "sessions": [
    {
      "id": "<string>",
      "userId": "<string>",
      "projectId": "<string>",
      "nodeId": "<string>",
      "name": "<string>",
      "lastModelId": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Session JWT from Ageneral sign-in. Send as Authorization: Bearer <token>.

Headers

Ageneral-Project-Id
string
required

Project id. You must be a member with access.

Response

Success.

sessions
object[]
required